package com.hai.service.impl;

import com.hai.dao.HighActivityPrizeMapper;
import com.hai.entity.HighActivityPrize;
import com.hai.entity.HighActivityPrizeExample;
import com.hai.service.HighActivityPrizeService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service("highActivityPrizeService")
public class HighActivityPrizeServiceImpl implements HighActivityPrizeService {

    @Resource
    private HighActivityPrizeMapper highActivityPrizeMapper;

    @Override
    public List<HighActivityPrize> getListByAwardId(Long activityAwardId) {
        HighActivityPrizeExample example = new HighActivityPrizeExample();
        example.createCriteria().andActivityAwardIdEqualTo(activityAwardId).andStatusEqualTo(1);
        return highActivityPrizeMapper.selectByExample(example);
    }
}
